<script setup lang="ts">
import { ref } from '#imports';

const emit = defineEmits(['update:rating']);

const rating = ref(5);

function setRating(newRating: number) {
  rating.value = newRating;
  emit('update:rating', rating.value);
}
</script>

<template>
  <div>
    <label class="text-xs text-[#828282] font-medium" for="star-rating">Star rating</label>
    <div class="star-selector flex items-center mt-1" id="star-rating">
      <span v-for="star in 5" :key="star" class="star" @click="setRating(star)">
        <svg
          v-if="star <= rating"
          width="24"
          height="24"
          viewBox="0 0 24 24"
          xmlns="http://www.w3.org/2000/svg"
        >
          <!-- SVG path for filled star -->
          <path
            d="M12 .587l3.515 7.125 7.887 1.145-5.702 5.556 1.345 7.847-7.045-3.705-7.045 3.705 1.345-7.847-5.702-5.556 7.887-1.145L12 .587z"
            fill="#222"
          />
        </svg>
        <svg
          v-else
          width="24"
          height="24"
          viewBox="0 0 24 24"
          xmlns="http://www.w3.org/2000/svg"
        >
          <!-- SVG path for empty star -->
          <path
            d="M12 .587l3.515 7.125 7.887 1.145-5.702 5.556 1.345 7.847-7.045-3.705-7.045 3.705 1.345-7.847-5.702-5.556 7.887-1.145L12 .587z"
            fill="none"
            stroke="#222"
            stroke-width="1"
          />
        </svg>
      </span>
      <span class="ml-1">{{ rating }} stars</span>
    </div>
  </div>
</template>

<style scoped>
.star-selector {
  display: flex;
  cursor: pointer;
}
.star {
  margin-right: 4px;
}
</style>
